application:
  process:
    id: PIS01
    name: PIS Communication Server
    history: true
    user-id: admin
    user-pswd: 1234
    pis-id: 3925310001

  thread-pool:

  facility-manager:
    enabled: true
    ip-addr: 172.16.12.25
    send-port: 5701
    recv-port: 5202

  controller-comm:
    comm-logging: true
    retry-seconds: 20
    connect-timeout: 5

  center-comm:
    listen-port: 9901

server:
  port: 9876
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  servlet:
    session:
      timeout: 300

spring:
  application:
    name: pis-comm-server
    jwt:
      secret: gumiutispisqwe123!@#
  profiles:
    active: prod
  main:
    banner-mode: off
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  datasource:
    hikari:
      auto-commit: true
      connection-test-query: SELECT 1 FROM DUAL
      minimum-idle: 10
      #maximum-pool-size: 50
      pool-name: pool-pis-comm-server

---
spring:
  config:
    activate:
      on-profile: dev
  datasource:
    hikari:
      driver-class-name: com.tmax.tibero.jdbc.TbDriver
      jdbc-url: jdbc:tibero:thin:@115.91.94.42:8629:tibero
      username: gmutis
      password: gmutis
      minimumIdle: 5
      maximumIdle: 10
      #maximumPoolSize: 20
      idleTimeout: 30000
      connectTimeout: 10000

---
spring:
  config:
    activate:
      on-profile: c2c
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      jdbc-url: jdbc:oracle:thin:@127.0.0.1:1521:HANTE
      username: gmutis
      password: gmutis
      minimumIdle: 5
      maximumIdle: 10
      #maximumPoolSize: 20
      idleTimeout: 30000
      connectTimeout: 10000

---
spring:
  config:
    activate:
      on-profile: prod
  datasource:
    hikari:
      driver-class-name: com.tmax.tibero.jdbc.TbDriver
      jdbc-url: jdbc:tibero:thin:@100.100.10.10:8629:UTIS
      username: itsdev
      password: itsdev
      minimumIdle: 5
      maximumIdle: 10
      #maximumPoolSize: 20
      idleTimeout: 30000
      connectTimeout: 10000

